%define optflags -Wall -Wextra -g -fpie -fPIC -O0 -Wno-unused-parameter -Wno-missing-field-initializers -finstrument-functions

%define _optdir	/opt
%define _ugdir	%{_optdir}/ug

Name:       ug-image-viewer-efl
Summary:    Image Viewer UI Gadget v1.0
Version:    1.6.35
Release:    0
Group:      TO_BE/FILLED_IN
License:    Flora Software License
Source0:    %{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: edje-tools
BuildRequires: gettext-tools
BuildRequires: prelink
BuildRequires: libicu-devel

BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(utilX)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(drm-client)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(efreet)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(capi-system-power)
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(capi-appfw-app-manager)
BuildRequires: pkgconfig(capi-system-runtime-info)
BuildRequires: pkgconfig(capi-system-sensor)
BuildRequires: pkgconfig(capi-system-haptic)
BuildRequires: pkgconfig(capi-media-metadata-extractor)
BuildRequires: pkgconfig(capi-content-mime-type)
BuildRequires: pkgconfig(capi-content-media-content)

%description
Description: Image Viewer UI Gadget v1.0

%prep
%setup -q

%build

%ifarch %{arm}
%define ARCH arm
CXXFLAGS+=" -D_ARCH_ARM_ -mfpu=neon -mfloat-abi=softfp"
export CXXFLAGS
%else
%define ARCH i586
%endif

CFLAGS+="%optflags" CXXFLAGS+="%{optflags}" \
	cmake . -DCMAKE_INSTALL_PREFIX=%{_ugdir}/ -DCMAKE_DATA_DIR=%{_ugdir}/data -DARCH=%{ARCH}

make %{?jobs:-j%jobs}


%install
rm -rf %{buildroot}
%make_install

execstack -c %{buildroot}%{_ugdir}/lib/libug-image-viewer-efl.so.0.1.0

%post
chown -R 5000:5000 %{_ugdir}/data/ug-image-viewer-efl
mkdir -p /opt/ug/bin/
ln -sf /usr/bin/ug-client /opt/ug/bin/image-viewer-efl

%files
%defattr(-,root,root,-)
%dir %{_ugdir}/data/ug-image-viewer-efl

%defattr(-,root,root,-)
%{_ugdir}/*
#/opt/share/applications/*.desktop
/opt/share/packages/*.xml

# %{_ugdir}/lib/libivug_common.so
# %{_ugdir}/lib/libivug_common.so.0.1.0
# %{_ugdir}/lib/libivug_widget.so
# %{_ugdir}/lib/libivug_widget.so.0.1.0
# %{_ugdir}/lib/libug-image-viewer-efl.so
# %{_ugdir}/lib/libug-image-viewer-efl.so.0
# %{_ugdir}/lib/libug-image-viewer-efl.so.0.1.0
# %{_ugdir}/lib/libivug_medialist.so
# %{_ugdir}/lib/libivug_medialist.so.0.1.0
# %{_ugdir}/lib/libivug_slideshow.so
# %{_ugdir}/lib/libivug_slideshow.so.0.1.0
# %{_ugdir}/res/edje/ug-image-viewer-efl/*.edj
# %{_ugdir}/res/images/ug-image-viewer-efl/*.png
# %{_ugdir}/res/images/ug-image-viewer-efl/*.jpg
# %{_ugdir}/res/images/ug-image-viewer-efl/*/*.png
# %{_ugdir}/res/locale/*/LC_MESSAGES/ug-image-viewer-efl.mo

